| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.ServiceHandleArray Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.ServiceHandleArray:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.ServiceHandleArray:
[legend]

## Public Member Functions
def | __init__ (self, serviceTypesAndNames=None)
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
def | __init__ (self, typesAndNames=None)
def | __repr__ (self)
def | __str__ (self)
def | __getitem__ (self, index)
def | __delitem__ (self, key)
def | __iadd__ (self, array)
def | append (self, value)
def | isPublic (self)
def | toStringProperty (self)
def | __getstate__ (self)
def | __setstate__ (self, dict)

## Static Public Attributes
| handleType = ServiceHandle
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| handleType = None

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| typesAndNames

## Detailed Description

Definition at line 209 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.ServiceHandleArray.__init__ | ( |  | self,
|  |  | serviceTypesAndNames = `None`
| ) |  |

Definition at line 213 of file GaudiHandles.py.

213 def __init__(self, serviceTypesAndNames=None):
214 GaudiHandleArray.__init__( self, serviceTypesAndNames )
215
GaudiKernel.GaudiHandles.ServiceHandleArray.__init__
def __init__(self, serviceTypesAndNames=None)
Definition: GaudiHandles.py:213

## Member Data Documentation

tuple GaudiKernel.GaudiHandles.ServiceHandleArray.__slots__ = ()
| static private

Definition at line 210 of file GaudiHandles.py.

GaudiKernel.GaudiHandles.ServiceHandleArray.handleType = ServiceHandle
| static

Definition at line 211 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py